#### D.8.6.11 rootsMain

Procedure from library `zeroset.lib` (see zeroset_lib).

Usage:
  rootsMain(f); where f is a polynomial

Purpose:
  compute all roots of f in a finite extension of the ground field without multiplicities.

Return:
  list, all entries are polynomials

        _[1] = roots of f, each entry is a polynomial
        _[2] = 'newA' - if the ground field is Q(b) and the extension field
               is Q(a), then 'newA' is the representation of b in Q(a)
        _[3] = minpoly of the algebraic extension of the ground field

Assume:
  basering = Q[x,a] ideal mpoly must be defined, it might be 0!

Note:
  might change the ideal mpoly!!

User manual for Singular version 4-0-3, 2016, generated by texi2html.